<?php
// $Id$

function mobile_jquery_fieldset($element) {
  if (!empty($element['#collapsible'])) {

    if (!isset($element['#attributes']['data-role'])) {
	    $element['#attributes']['data-role'] = 'collapsible';
    }

    if (!empty($element['#collapsed'])) {
      $element['#attributes']['data-collapsed'] = 'true';
    }
  }

  return '<div' . drupal_attributes($element['#attributes']) . '>' . ($element['#title'] ? '<h3>' . $element['#title'] . '</h3>' : '') . (isset($element['#description']) && $element['#description'] ? '<div class="description">' . $element['#description'] . '</div>' : '') . (!empty($element['#children']) ? $element['#children'] : '') . (isset($element['#value']) ? $element['#value'] : '') . "</div>\n";
}

function mobile_jquery_form_element($element, $value) {
  // This is also used in the installer, pre-database setup.
  $t = get_t();
	
	$output = '';
  $required = !empty($element['#required']) ? '<span class="form-required" title="'. $t('This field is required.') .'">*</span>' : '';

  if (!empty($element['#title'])) {
    $title = $element['#title'];
    if (!empty($element['#id'])) {
      $output .= ' <label for="'. $element['#id'] .'">'. $t('!title: !required', array('!title' => filter_xss_admin($title), '!required' => $required)) ."</label>\n";
    }
    else {
      $output .= ' <label>'. $t('!title: !required', array('!title' => filter_xss_admin($title), '!required' => $required)) ."</label>\n";
    }
  }

  $output .= " $value\n";

  if (!empty($element['#description'])) {
    $output .= ' <div class="description">'. $element['#description'] ."</div>\n";
  }

  $output .= "\n";

  return $output;
}

function mobile_jquery_radios($element) {
  $class = 'form-radios';
  if (isset($element['#attributes']['class'])) {
    $class .= ' '. $element['#attributes']['class'];
  }
  $element['#children'] = !empty($element['#children']) ? $element['#children'] : '';
  
  if ($element['#title'] || $element['#description']) {
    unset($element['#id']);
    return '<div data-role="fieldcontain"><fieldset data-role="controlgroup">' . theme('form_element', $element, $element['#children']) . '</fieldset></div>';
  }
  else {
    return '<div data-role="fieldcontain"><fieldset data-role="controlgroup">' . $element['#children'] . '</fieldset></div>';
  }
}

function mobile_jquery_textarea($element) {
  $class = array('form-textarea');


  // Add teaser behavior (must come before resizable)
  if (!empty($element['#teaser'])) {
    drupal_add_js('misc/teaser.js');
    // Note: arrays are merged in drupal_get_js().
    drupal_add_js(array('teaserCheckbox' => array($element['#id'] => $element['#teaser_checkbox'])), 'setting');
    drupal_add_js(array('teaser' => array($element['#id'] => $element['#teaser'])), 'setting');
    $class[] = 'teaser';
  }

  // Add resizable behavior
  if ($element['#resizable'] !== FALSE) {
    drupal_add_js('misc/textarea.js');
    $class[] = 'resizable';
  }

  _form_set_class($element, $class);
  return '<div data-role="fieldcontain">' . theme('form_element', $element, '<textarea cols="'. $element['#cols'] .'" rows="'. $element['#rows'] .'" name="'. $element['#name'] .'" id="'. $element['#id'] .'" '. drupal_attributes($element['#attributes']) .'>'. check_plain($element['#value']) .'</textarea>') . '</div>';
}

function mobile_jquery_checkboxes($element) {
  $class = 'form-checkboxes';
  if (isset($element['#attributes']['class'])) {
    $class .= ' '. $element['#attributes']['class'];
  }
  $element['#children'] = !empty($element['#children']) ? $element['#children'] : '';
  if ($element['#title'] || $element['#description']) {
    unset($element['#id']);
    return '<div data-role="fieldcontain"><fieldset data-role="controlgroup">' . theme('form_element', $element, $element['#children']) . '</fieldset></div>';
  }
  else {
    return '<div data-role="fieldcontain"><fieldset data-role="controlgroup">' . $element['#children'] . '</fieldset></div>';
  }
}

function mobile_jquery_select($element) {
  $select = '';
  $size = $element['#size'] ? ' size="' . $element['#size'] . '"' : '';
  _form_set_class($element, array('form-select'));
  $multiple = $element['#multiple'];
  return '<div data-role="fieldcontain">' . theme('form_element', $element, '<select name="' . $element['#name'] . '' . ($multiple ? '[]' : '') . '"' . ($multiple ? ' multiple="multiple" ' : '') . drupal_attributes($element['#attributes']) . ' id="' . $element['#id'] . '" ' . $size . '>' . form_select_options($element) . '</select>') . '</div>';
}